### Class

# Ide DiagnosticsManager

#### Description

    final class Ide.DiagnosticsManager : Ide.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Functions

###### ide_diagnostics_manager_from_context

Gets the diagnostics manager for the context.

Available since: 3.32

#### Instance methods

###### ide_diagnostics_manager_get_busy

Gets if the diagnostics manager is currently executing a diagnosis.

Available since: 3.32

###### ide_diagnostics_manager_get_diagnostics_for_file

This function collects all of the diagnostics that have been collected for `file` and returns them as a new `IdeDiagnostics` to the caller.

Available since: 3.32

###### ide_diagnostics_manager_get_sequence_for_file

No description available.

###### ide_diagnostics_manager_rediagnose

Requests that the diagnostics be reloaded for `buffer`.

Available since: 3.32

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.DiagnosticsManager:busy

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

###### Ide.DiagnosticsManager::changed

This signal is emitted when the diagnostics have changed for any file managed by the IdeDiagnosticsManager.

Available since: 3.32

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeDiagnosticsManagerClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.